<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>
PlayItAgainSam Manual: PlayItAgainSam purpose
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" title="Default" type="text/css" href="allegro.css"></head><body bgcolor=white text=black link="#0000ee" alink="#ff0000" vlink="#551a8b">
<h1><a name="PlayItAgainSam purpose">PlayItAgainSam purpose</a></h1>

<ul>
</ul>

<p>
PlayItAgainSam is program used to read and analyze the data recorded
in real-time by the magnetic tweezers software saved in the TRK
format. PlayItAgainSam will load one or several TRK files and then
display their content in different manner. PlayItAgainSam also allow
the user to analyze these data recovering specific information on the
molecules studied in magnetic tweezers.

<p>
Before explaining the program functions, let us explain what the TRK
file format contains. Each time you record data in a TRK file using
either the simulation software Pico.exe or the experiment acquisition
software Picoueye.exe (for uEye cameras) and PicoJai.exe for (Jai
cameras), the software dumps exhaustive information in the TRK file
for latter treatment. The TRK file is composed of two parts: a header
part which consists of all the information on the experiment that you
were running when you start recording and the real data which
correspond to the beads coordinates at each frame. The data section
grows as long as the acquisition is running. The header part contains
a picture of the entire field of view taken at the beginning of the
acquisition, a copy of all the calibration images of all the beads and
a copy of the configuration file with the properties of the
instrument. The second data section contains all the information
concerning the experimental conditions in time: the position of the
magnets, the value that they were asked to move to their actual
position at each frame, the same data for the rotation position and
the focus position plus the status of the experiment and all the
timing information of each frame. For each bead, the trk file record
the x, y and z coordinates plus tracking quality information allowing
to determine if the z and x-y tracking were done properly at each
frame. The user has the option to record more information at each
frame, it is for instance possible to record a small image around each
bead (this significantly increases the size of the recording) or just
profiles of x or y or radial and orthoradial profiles. PlayItAgainSam
will read, display and dump to other format all these information. In
its normal use, TRK files are relatively compact, their size being of
the order of a few hundreds of megabyte hour long recording. One
should keep in mind that the time series recorded in TRK files may be
pretty large exceeding one million of points easily.

<p>
TRK format is mostly binary but uses ascii information in the header
being nearly readable and is described in annex.


<p><br>
<hr><div class="al-back-to-contents"><a href="pias.html">Back to contents</a></div>

</body>
</html>
